"use strict";
cc._RF.push(module, '5e683ILh/dEr5OBjr0QlPSO', 'login');
// Script/login.js

'use strict';

window.agent = {};
window.userPlugIn = {};

cc.Class({
    extends: cc.Component,

    properties: {},

    // use this for initialization
    onLoad: function onLoad() {

        // cc.sys.loaclStorage..  重启

        var log1 = function log1(str) {
            cc.find('Canvas/1').getComponent(cc.Label).string += str;
        };
        var log2 = function log2(str) {
            cc.find('Canvas/2').getComponent(cc.Label).string = str;
        };

        if (cc.sys.isNative) {
            // log1('0');
            agent = anysdk.agentManager; // 获取插件管理
            userPlugIn = agent.getUserPlugin(); //获取用户插件
            // log1('1');
            userPlugIn.setListener(function (code, msg) {
                log1(code + ' >> ');
                log2(msg + ' >> ' + JSON.stringify(anysdk.UserActionResultCode));
                switch (code) {
                    case anysdk.UserActionResultCode.kInitSuccess:
                        //初始化成功
                        userPlugIn.login();
                        break;
                    case anysdk.UserActionResultCode.kLoginSuccess:
                        //登录成功
                        var uid = userPlugIn.getUserID();
                        var userInfo = {};
                        if (userPlugIn.getUserInfo) {
                            log2(userPlugIn.getUserInfo());
                            userInfo = JSON.parse(userPlugIn.getUserInfo());
                        }
                }
            }, this);
        }
    }

    // called every frame, uncomment this function to activate update callback
    // update: function (dt) {

    // },
});

cc._RF.pop();