"use strict";
cc._RF.push(module, '62184YSYoVJBKqGQ7geqAD+', 'cuiPrefab');
// Script/cuiPrefab.js

'use strict';

cc.Class({
    extends: cc.Component,
    properties: {},

    // use this for initialization
    onLoad: function onLoad() {

        cui.prefab = function (name) {
            this.prefab.currentNode = this.prefab.getNode(name);
            return this.prefab;
        };
        cui.extends('prefab', {
            currentNode: {},
            config: {
                symbol: '$'
            },
            getNode: function getNode(name) {
                return cui.prefab.node[name];
            },
            prefab: {},
            copy: function copy(name) {
                if (this.prefab[name]) return this.prefab[name].copyNode();else return undefined;
            },
            init: function init() {
                for (var i in this.node) {
                    this.prefab[i] = this.node[i].copyNode();
                }
            },
            bind: function bind(p_name, data, template, parent) {
                var i, node;
                if (data.length == undefined) {
                    // {}
                    for (i in data) {
                        node = cui.prefab.copy(p_name);
                        template(node, i, data[i]);
                        parent.addChild(node);
                    }
                } else {
                    // array
                    for (i = 0; i < data.length; i++) {
                        node = cui.prefab.copy(p_name);
                        template(node, data[i], i);
                        parent.addChild(node);
                    }
                }
            }

        });
    }
});

cc._RF.pop();